/**
 * @desc 查询
 */

import * as defs from '../../baseClass'
import { Http } from '/@/utils/http/axios'

export class Params {
    /** id */
    id: number
}

export const init = new defs.Result()

export function request(params: Params, config?: axios.RequestConfig<Params>, options?: axios.RequestOptions) {
    return Http.request(
        {
            url: '/basic-api/manage/permission/find',
            method: 'GET',
            params,

            ...config,
        },
        options,
    )
}
