/**
 * @desc 分配角色
 */

import * as defs from '../../baseClass'
import { Http } from '/@/utils/http/axios'

export class Params {
    /** id */
    id: number
    /** ids 多个以逗号分割 */
    ids: string
}

export const init = new defs.Result()

export function request(params: Params, config?: axios.RequestConfig<Params>, options?: axios.RequestOptions) {
    return Http.request(
        {
            url: '/basic-api/user/manage/assign',
            method: 'POST',
            data: params,

            ...config,
        },
        options,
    )
}
