# 中后台基础工程 (Template)

> 项目 Fork 自 [vue-vben-admin](https://github.com/vbenjs/vue-vben-admin)  
> 通用组件及相关配置参考文档: [Vben Doc](https://vvbin.cn/doc-next/)

## 开发环境

<!-- prettier-ignore -->
- Visual Studio Code [latest](https://code.visualstudio.com)
- [常用插件清单](./doc/plugins.md)

## 开始

<!-- prettier-ignore -->
- [开发规范说明](./doc/workflow.md)
- [技术栈说明](./doc/technique.md)

---

## TODO

<!-- prettier-ignore -->
- [x] 项目构建，文档编写
- [x] 集成 [Pont](https://github.com/alibaba/pont)
- [x] 完善网络配置
- [ ] 完善权限控制
