/**
 * @desc 获取登录用户信息
 */

import * as defs from '../../baseClass'
import { Http } from '/@/utils/http/axios'

export class Params {}

export const init = new defs.Result()

export function request(params: Params, config?: axios.RequestConfig<Params>, options?: axios.RequestOptions) {
    return Http.request(
        {
            url: '/basic-api/user/info',
            method: 'GET',
            params,

            ...config,
        },
        options,
    )
}
